function[ncap] = Cnormal(cu,t)
//computes the unit normal of a curve at a given point
//Curve is a 2D curve ie coefs is 2 X *
ieee(1);

cuder = fnder(cu,[1]);
//finds out the derivative
val = fnval(cuder, t);
xnew = -val(2);
ynew = val(1);
val(1) = xnew;
val(2) = ynew;
mod = sqrt(val(1)**2 + val(2)**2);
ncap = val/mod;

return;
endfunction;
