function sp = LCfnder(sp1)

mv = length(sp1.knots);
order = sp1.order - 1;
knots = sp1.knots(2:(mv - 1));
number = sp1.number - 1;
coefs=zeros(sp1.dim,number);
for i = 1:1:number
  coefs(:,i) = (sp1.order - 1)*(sp1.coefs(:,i + 1) - sp1.coefs(:,i))/(sp1.knots(i+sp1.order) - sp1.knots(i+1))
end;
sp = spmak(knots, coefs);
return;

endfunction
