function [h] = LCfnplt(sp)

// Ouput variables initialisation (not found in input variables)
h=[];

// Display warning for floating point exception
ieee(1)

//plots the surface
u0 = sp.knots(1);
u1 = sp.knots(length(sp.knots));

NOS = 20;

t = linspace(u0,u1,NOS+1);

if sp.dim == 1 then
	for i=1:1:NOS+1
		op=LCfnval(sp,t(i));
	  XX(i)=t(i);
	 	YY(i)=op(1);
	end;
	plot2d(XX,YY);
elseif sp.dim == 2 then
	for i=1:1:NOS+1
		op=LCfnval(sp,t(i));
	  XX(i)=op(1);
	 	YY(i)=op(2);
	end;
	plot2d(XX,YY);
elseif sp.dim == 3 then
	for i=1:1:NOS+1
		op=LCfnval(sp,t(i));
		XX(i)=op(1);
		YY(i)=op(2)
		ZZ(i)=op(3);
	end;
	plot3d3(XX,YY,ZZ);
end;

return;
endfunction

