function sp = LSfnder(sp1,axis)

mu = length(sp1.knots(1));
mv = length(sp1.knots(2));
knots=list();

if axis == 'u' then
 order(1) = sp1.order(1) - 1;
 order(2) = sp1.order(2);
 knots(1) = sp1.knots(1)(2:(mu - 1));
 knots(2) = sp1.knots(2);
 number(1) = sp1.number(1) - 1;
 number(2) = sp1.number(2);
 coefs=zeros(sp1.dim,number(1),number(2));
 for i = 1:1:number(1)
  for j = 1:1:number(2)
  	coefs(:,i,j) = (sp1.order(1) - 1)*(sp1.coefs(:,i+1,j) - sp1.coefs(:,i,j))/(sp1.knots(1)(i + sp1.order(1)) - sp1.knots(1)(i+1));
	end;
end;

elseif axis == 'v' then
 order(2) = sp1.order(2) - 1;
 order(1) = sp1.order(1);
 knots(2) = sp1.knots(2)(2:(mv - 1));
 knots(1) = sp1.knots(1);
 number(2) = sp1.number(2) - 1;
 number(1) = sp1.number(1);
 coefs=zeros(sp1.dim, number(1),number(2));
 for i = 1:1:number(2)
  for j = 1:1:number(1)
	  coefs(:,j,i) = (sp1.order(2) - 1)*(sp1.coefs(:,j,i+1) - sp1.coefs(:,j,i))/(sp1.knots(2)(i + sp1.order(2)) - sp1.knots(2)(i+1))  		
	end;
end;
end;
sp = spmak(knots, coefs);
return;

endfunction

