function [cen, p, q] = iterator(sp1,sp2,r,u1,v1,u2,v2)

i = 0;
while 1==1 do

i=i+1;
printf("%d  %f %f\n",i,u2,v2);

if (u1 < sp1.knots(1)(1)) | (u1 > sp1.knots(1)($)) then
	u1 = sp1.knots(1)(1)+rand()*(sp1.knots(1)($)-sp1.knots(1)(1));
end;

if (u2 < sp2.knots(1)(1)) | (u2 > sp2.knots(1)($)) then
	u2 = sp2.knots(1)(1)+rand()*(sp2.knots(1)($)-sp2.knots(1)(1));
end;

if (v2 < sp2.knots(2)(1)) | (u2 > sp2.knots(2)($)) then
	v2 = sp2.knots(2)(1)+rand()*(sp2.knots(2)($)-sp2.knots(2)(1));
end;

printf(" %f %f\n",u2,v2);

f=LSfnval(sp1,[u1 v1]);
g=LSfnval(sp2,[u2 v2]);

fu=LSfnval(fnder(sp1,[1 0]), [u1 v1]);
fv=LSfnval(fnder(sp1,[0 1]), [u1 v1]);

ga=LSfnval(fnder(sp2,[1 0]), [u2 v2]);
gb=LSfnval(fnder(sp2,[0 1]), [u2 v2]);

n1=[-fu -fv 1];
n2=[-ga -gb 1];

A=[1 -1 0; 0 0 -1; fu -ga -gb];

//b=zeros(3,1);

b=[(u2-u1+r*(fu/norm(n1) - ga/norm(n2))); (v2-v1+r*(fv/norm(n1) - gb/norm(n2))); (g-f+r*(1/norm(n2) - 1/norm(n1)))];

if rank(A) < 3 then
	error('incorrect seeds');
end;

x = inv(A)*b;

if norm(x) < 0.01 then
	break;
end;
//cen=[u1 v1 f] + x(1)*[1 0 fu] + r*n1/norm(n1);

u1=u1+x(1);
u2=u2+x(2);
v2=v2+x(3);

//p=[u1 v1 f] + x(1)*[1 0 fu];
//q=[u2 v2 g] + x(2)*[1 0 ga] + x(3)*[0 1 gb];

end;

cen=[u1 v1 f] + r*n1/norm(n1);

p=[u1 v1 f];
q=[u2 v2 g];

return;

endfunction
