function sp = LCfnint(sp1,p0)

sp=[];

sp.form = "B-";
mv = length(sp1.knots);
sp.dim = sp1.dim;
sp.order = sp1.order + 1;
sp.knots=zeros(mv+2);
sp.knots(2:(mv+1)) = sp1.knots;
sp.knots(1) = sp1.knots(1);
sp.knots(mv+2) = sp1.knots(mv);
sp.number = sp1.number + 1;
coefs=zeros(sp.dim,sp.number);
coefs(:,1) = p0;
for i = 2:1:sp.number
  coefs(:,i) = coefs(:,(i-1)) + sp1.coefs(:,(i-1)) * (sp.knots(i+sp1.order) - sp.knots(i)) / sp1.order; 
end;
sp.coefs = coefs;
return;

endfunction
