function [h] = LSfnplt(sp)

// Ouput variables initialisation (not found in input variables)
h=[];

// Display warning for floating point exception
ieee(1)

//alen=length(varargin);

//if(alen == 0) then
//	error('error');
//end;

//sp = varargin(1);

//plots the surface 
u0 = sp.knots(1)(1);
u1 = sp.knots(1)(length(sp.knots(1)));
v0 = sp.knots(2)(1);
v1 = sp.knots(2)(length(sp.knots(2)));

NOS = 20;

gridu = linspace(u0,u1,NOS+1);
gridv = linspace(v0,v1,NOS+1);

meshu = zeros(length(gridv), length(gridu));
meshv = zeros(length(gridv), length(gridu));

for i = 1:1:length(gridv)
	meshu(i,:) = gridu;
end;
for i = 1:1:length(gridu)
	meshv(:,i) = gridv';
end;

for i = 1:1:NOS+1;
  cu = LIsoParametricCurve(sp,1,meshu(1,i));
  for j = 1:1:NOS+1;
    op = LCfnval(cu,meshv(j,i));//LSfnval(sp,[meshu(i,j),meshv(i,j)]');
    //XX(i,j)=op(1);
    //YY(i,j)=op(2);
    ZZ(j,i) = mtlb_e(op,1);
  end;
end;

//set("figure_style","new");
//if alen == 1 then
	//plot3d3(meshu,meshv,ZZ);
//elseif alen == 2 then
// plot3d(gridu,gridv,ZZ);
	plot3d3(meshu,meshv,ZZ);
//end;

//h=get("hdl");
//h.color_mode = 1;

return;
endfunction
