function sp = LCfnint(sp1,p0)

mv = length(sp1.knots);

order = sp1.order + 1;
knots=zeros(mv+2);
knots(2:(mv+1)) = sp1.knots;
knots(1) = sp1.knots(1);
knots(mv+2) = sp1.knots(mv);
number = sp1.number + 1;
coefs=zeros(sp1.dim,number);
coefs(:,1) = p0;
for i = 2:1:number
  coefs(:,i) = coefs(:,(i-1)) + sp1.coefs(:,(i-1)) * (knots(i+sp1.order) - knots(i)) / sp1.order; 
end;
sp = spmak(knots, coefs);
return;

endfunction
