function [vec] = LCfnval(cu,t)

// Ouput variables initialisation (not found in input variables)
vec=[];

// Display warning for floating point exception
ieee(1)

//evaluates the B- curve cu at parameter t
// 

TOL = 10^(-6);

if abs(t-cu.knots(1))<TOL
    t=cu.knots(1);
end;

len = length(cu.knots);
if abs(cu.knots(len)-t)<TOL
    t=cu.knots(len);
end;

if t<cu.knots(1)-TOL | t>cu.knots(len)+TOL
    error('parameter value outside range');
end;

[ig,mul]=LLocate(t,cu.knots);
for i=1:1:cu.order-1-mul
   cu=LCknotinsert(cu,t);
end;

kn=cu.knots;
kn(length(cu.knots))=[]; //to take care of the order/degree oddity at the end
            //and LLocate returning a greater index

ii=LLocate(t,kn);
ii=ii-cu.order+1;
vec=cu.coefs(:,ii);

return;

endfunction
