function[bvalue] = Bcompute(n,i,t)
//computes B^{n}_{i}(t)
//B^{n}_{i}(t) = n(C)i * t^{i} * (1-t)^{n-i}

ieee(1);

c = combinatorial(n,i);
t1 = t^i;
t2 = (1-t)^(n-i);
bvalue = c * t1 * t2;

return;
endfunction;

