function[tstar] = newParameterization(cu,p,t)

ieee(1);
//given a curve and a point p with parametrization t
//find new parametrization of p call tstar
//note that the curve is 2D

yt = fnval(cu,t);
dercu = fnder(cu,[1]);
vtder = fnval(dercu,t);
temp = (sqrt(vtder(1)**2 + vtder(2)**2));
tunit = vtder/temp;
nunit = Cnormal(cu,t);
b = p - yt;
A = [tunit nunit];
c = Solve_linear(A,b);

//note that the new point is ti_new = ti + c/u 
//here u is the curve length bwtween ti and ti+1

tstar = t + c(1);

return;
endfunction;



