function [Rows,Cols] = LGetRowColCurves(sp)

// Ouput variables initialisation (not found in input variables)
Rows=list();
Cols=list();

// Display warning for floating point exception
ieee(1)

//gets the rows and column of sp.coefs as curves.

//tmp = size(size(sp.coefs));
//if tmp(2)==2 then
//	dim = 1;
//	[m,n] = size(sp.coefs);
//else
[dim,m,n] = size(sp.coefs);
//end;

cu.coefs = zeros(dim,n);
for i = 1:1:m;
  cu.knots = sp.knots(2);
  cu.form = "B-";
  cu.dim = sp.dim;
  cu.number = n;
  cu.order = sp.order(2);
  for j = 1:1:dim;
    for k = 1:1:n;
//    		if tmp(2) == 2 then
//    			cu.coefs(j,k) = sp.coefs(i,k);
//    		else
	      cu.coefs(j,k) = sp.coefs(j,i,k);
//	    end;
    end;
  end;
  Rows(i) = cu;
end;

for i = 1:1:n;
  cu.knots = sp.knots(1);
  cu.form = "B-";
  cu.dim = sp.dim;
  cu.number = m;
  cu.order = sp.order(1);
//	if tmp(2) == 2 then
//		cu.coefs = sp.coefs(:,i);
//	else
	  cu.coefs = sp.coefs(:,:,i);
//	end;
  Cols(i) = cu;
end;

return;
endfunction
