function [ii,count] = LLocate(x,vect)

// Ouput variables initialisation (not found in input variables)
ii=[];
count=[];

// Display warning for floating point exception
ieee(1)

// x is a real and vect is a sorted vector
// ii is such that vect(ii)<=x and vect(ii+1)>x
//unless ii+1 >length of vect
TOL = 10^(-6);
count = 0;

[m,n] = size(vect);
if n==1 then
  vect = vect';  //this makes vect into a row
end;

[ig,m] = size(vect);

for i = 1:1:m-1;
  if abs(vect(i)- x) < TOL then
    count = count+1;
  end;
  if (vect(i) <= x) & (vect(i+1) > x) then
    ii = i;  return;
  end;
end;

if vect(m) <= x then
  ii = m;  return;
end;

error("LLocate malfunctioned");

return;
endfunction
