function [lambda1, lambda2, eigenvector1, eigenvector2] = Surface_Curvature(sp,point)


 sp20 = fnder(sp,[2,0]);  //this is for a20
// sp20 = 0.5 * sp20;
 sp02 = fnder(sp,[0,2]);  //this is for a02
// sp02 = 0.5 * sp02;
 sp11 = fnder(sp,[1,1]);  //this is for a11
 
 
 // The eigen values are : 
 
 
 

 a20 = fnval(sp20,point);
 a20 = 0.5 * a20;
 
 a02 = fnval(sp02,point);
 a02 = 0.5 * a02;
 a11 = fnval(sp11,point);

 
 // if(a20 == 0 & a11 == 0) then
  // error('Lambda1 or Lambda2 = 0');
  // error('Gauss Curvature = 0');
  // end;

 
 
 lambda1 = ((a20 + a02) + sqrt((a20 + a02)^2 - 4*((a20*a02') - (a11/2)^2)))/2;
 lambda2 = ((a20 + a02) - sqrt((a20 + a02)^2 - 4*((a20*a02') - (a11/2)^2)))/2;
 
 //end;
 
 
 Gauss_Curvature = lambda1 * lambda2;
 
 Principal_Curvature = lambda1 + lambda2;
 
 //eigen vector 1
 
 
 ev1 = [  a11/2 , lambda1 - a02 ,0];
 ev2 = [  a11/2 , lambda2 - a02 ,0];
 
 sp10 = fnder(sp,[1,0]);  //this is for a20

 sp01 = fnder(sp,[0,1]);  //this is for a02

  a10 = fnval(sp10,point);
  a01 = fnval(sp01,point);
  
   vec1 = [1 0 a10];
   vec2 = [0 1 a01];
  
 
 n = cross(vec1,vec2);
 
 temp = norm(n);
 
 n = n/temp;
 
 y_by_x = n(2,1)/n(1,1);
 
 theta1 = atan(y_by_x);
 
 r1 = [ cos(theta1), sin(theta1), 0 ; -sin(theta1), cos(theta1), 0 ; 0, 0, 1 ];
 
 n1 = r1*n;
 
 ev11 = r1*ev1';
 ev21 = r1*ev2';
 
 
 y1_by_x1 = n1(1,1)/n1(3,1);
 
 theta2 = atan(y1_by_x1);
 
 r2 = [ cos(theta2), 0, sin(theta2); -sin(theta2), 0, cos(theta2); 0, 0, 1 ];
 
 n2 = r2*n1;

 ev12 = r2*ev11;
 ev22 = r2*ev21;
 
 eigenvector1 = ev12;
 eigenvector2 = ev22;
 
 return;
  endfunction;
 
 
 
 
 
 

 //i=-1;
         // j=0;  //counters for the loop
//
// spv=zeros(1,102);
// U = zeros(1,51);
//
//   for t = 0:0.02:1,
// i=i+2
 //  j=j+1
//// spv(1,i) = k
// spv(1,i) = t
// spv(1,i+1) = LCfnval(sp1,t)
// tmp = LCfnval(sp1,t)
// mod_val = sqrt(t^2 + tmp^2)
// U(1,k) = spv(1,i+1)/mod_val
   //  a = LCfnval(sp1,t)
   //  mod_C_Dot(1,j) = sqrt( 1 + a^2)
 
// end;
 
 //sp2 = fnder(sp1,1)
 
 
// j=0;
// for t = 0:0.02:1,
 
// j=j+1
// a = LCfnval(sp1,t)
// b = LCfnval(sp2,t)
 
// mod_U_Dot(1,j) = sqrt(((a * b)/(1 + a^2)^(3/2))^2 + ((b*(1 + a^2)- 2 * a * b)/(1 + a^2)^(3/2))^2)
// end;
  
// k = mod_U_Dot./mod_C_Dot; 
 
 
 //Curv_pt = k(1,point);
 
  //return;
//  endfunction;
 
 
 //spvalue = LCfnval(sp1), end
//
//t=(0:0.01:1);
//
//x = t;
//y = 2*t^2-3*t^3;
// 
//Curve = [x ; y];
//
//a=diff(x)./diff(t);
//b=diff(y)./diff(t);
//
//C_Dot = [a ; b];
//
//plot2d(C_Dot(1,:),C_Dot(2,:));
//
////plot2d(t,x);
////plot2d(t,y);
////plot2d(t,x);
//
////plot2d(x,y);
//
////Mod_C = sqrt(x^2 + y^2);
//
////Mod_C = Mod_C(:,1:$-1);
//
//
//Mod_C_Dot = sqrt(a^2 + b^2);
//
//p1 = C_Dot(1,:)./Mod_C_Dot;
//
//p2 = C_Dot(2,:)./Mod_C_Dot;
//
//U = [p1 ; p2];
//
//p1dot = diff(p1);
//p2dot = diff(p2);
//U_Dot = [ p1dot ; p2dot]
//
//Mod_U_Dot = sqrt(p1dot^2 + p2dot^2);
//
//k = Mod_U_Dot(1,1)/Mod_C_Dot;
//
//k(1,1);

