function [sp1,sp2] = spdiv(sp,u,index)

// Display warning for floating point exception
//ieee(1)

//evaluates the B- curve cu at parameter t
// 

cu1 = list();
cu2 = list();

gr = Lgreville(sp.knots, sp.order);

if index == 1 then

for j=1:1:sp.number(2)
	[cu1(j), cu2(j)] = cudiv(LIsoParametricCurve(sp,2,gr(2)(j)), u);
end;

kn1=list(cu1(1).knots, sp.knots(2));
kn2=list(cu2(1).knots, sp.knots(2));

coefs1 = zeros(sp.dim, cu1(1).number, sp.number(2));
coefs2 = zeros(sp.dim, cu2(1).number, sp.number(2));

for i=1:1:sp.number(2)
	coefs1(:,:,i) = cu1(i).coefs;
  coefs2(:,:,i) = cu2(i).coefs;
end;

elseif index == 2 then

for j=1:1:sp.number(1)
	[cu1(j), cu2(j)] = cudiv(LIsoParametricCurve(sp,1,gr(1)(j)), u);
end;

kn1=list(sp.knots(1), cu1(1).knots);
kn2=list(sp.knots(1), cu2(1).knots);

coefs1 = zeros(sp.dim, sp.number(1), cu1(1).number);
coefs2 = zeros(sp.dim, sp.number(1), cu2(1).number);

for i=1:1:sp.number(1)
	for j=1:1:cu1(1).number
		coefs1(:,i,j) = cu1(i).coefs(j);
	end;
	for j=1:1:cu2(1).number
	  coefs2(:,i,j) = cu2(i).coefs(j);
	 end;
end;

end;

sp1 = spmak(kn1,coefs1);
sp2 = spmak(kn2,coefs2);

return;

endfunction

