function sp = LSfnder(sp1,axis)

sp=[];

sp.form = "B-";
mu = length(sp1.knots(1));
mv = length(sp1.knots(2));
sp.dim = sp1.dim;
sp.number = zeros(2);
sp.order=zeros(2);
sp.number=zeros(2);
sp.knots=list([]);

if axis == 'u' then
 sp.order(1) = sp1.order(1) - 1;
 sp.order(2) = sp1.order(2);
 sp.knots(1) = sp1.knots(1)(2:(mu - 1));
 sp.knots(2) = sp1.knots(2);
 sp.number(1) = sp1.number(1) - 1;
 sp.number(2) = sp1.number(2);
 coefs=zeros(sp.dim,sp.number(1),sp.number(2));
 for i = 1:1:sp.number(1)
  for j = 1:1:sp.number(2)
  	coefs(:,i,j) = (sp1.order(1) - 1)*(sp1.coefs(:,i+1,j) - sp1.coefs(:,i,j))/(sp1.knots(1)(i + sp1.order(1)) - sp1.knots(1)(i+1));
	end;
end;
sp.coefs = coefs;

elseif axis == 'v' then
 sp.order(2) = sp1.order(2) - 1;
 sp.order(1) = sp1.order(1);
 sp.knots(2) = sp1.knots(2)(2:(mv - 1));
 sp.knots(1) = sp1.knots(1);
 sp.number(2) = sp1.number(2) - 1;
 sp.number(1) = sp1.number(1);
 coefs=zeros(sp.dim,sp.number(1),sp.number(2));
 for i = 1:1:sp.number(2)
  for j = 1:1:sp.number(1)
	  coefs(:,j,i) = (sp1.order(2) - 1)*(sp1.coefs(:,j,i+1) - sp1.coefs(:,j,i))/(sp1.knots(2)(i + sp1.order(2)) - sp1.knots(2)(i+1))  		
	end;
end;
sp.coefs = coefs;
end;
return;

endfunction

