function sp = LSfnint(sp1,axis,p0)

sp=[];

sp.form = "B-";
mu = length(sp1.knots(1));
mv = length(sp1.knots(2));
sp.dim = sp1.dim;
sp.number = zeros(2);
sp.order=zeros(2);
sp.number=zeros(2);
sp.knots=list([]);

if axis == 'u' then
 sp.order(1) = sp1.order(1) + 1;
 sp.order(2) = sp1.order(2);
 sp.knots(1)=zeros(mu+2);
 sp.knots(1)(2:(mu + 1)) = sp1.knots(1);
 sp.knots(1)(1)=sp1.knots(1)(1);
 sp.knots(1)(mu+2)=sp1.knots(1)(mu);
 sp.knots(2) = sp1.knots(2);
 sp.number(1) = sp1.number(1) + 1;
 sp.number(2) = sp1.number(2);
 coefs=zeros(sp.dim,sp.number(1),sp.number(2));
 for j = 1:1:sp.number(2)
  coefs(:,1,j) = p0(:,j);
 end;
 for i = 2:1:sp.number(1)
  for j = 1:1:sp.number(2)
  coefs(:,i,j) = coefs(:,(i-1),j) + (sp1.coefs(:,(i-1),j) * (sp.knots(1)(i+sp1.order(1)) - sp.knots(1)(i))) / sp1.order(1); 
	end;
end;

sp.coefs = coefs;

elseif axis == 'v' then
 sp.order(2) = sp1.order(2) + 1;
 sp.order(1) = sp1.order(1);
 sp.knots(2)=zeros(mv+2);
 sp.knots(2)(2:(mv + 1)) = sp1.knots(2);
 sp.knots(1) = sp1.knots(1);
 sp.knots(2)(1)=sp1.knots(2)(1);
 sp.knots(2)(mv+2)=sp1.knots(2)(mv);
 sp.number(2) = sp1.number(2) + 1;
 sp.number(1) = sp1.number(1);
 coefs=zeros(sp.dim,sp.number(1),sp.number(2));	
 for i = 1:1:sp.number(1)
  coefs(:,i,1) = p0(:,i);
 end;
 for j = 2:1:sp.number(2)
  for i = 1:1:sp.number(1)
  coefs(:,i,j) = coefs(:,i,(j-1)) + sp1.coefs(:,i,(j-1)) * (sp.knots(2)(j+sp1.order(2)) - sp.knots(2)(j) / sp1.order(2)); 
	end;
end;
 
 
sp.coefs = coefs;
end;
return;

endfunction

