function sp = LSfnint(sp1,axis,p0)

mu = length(sp1.knots(1));
mv = length(sp1.knots(2));

number = zeros(2);
order=zeros(2);
knots=list();

if axis == 'u' then
 order(1) = sp1.order(1) + 1;
 order(2) = sp1.order(2);
 knots(1)=zeros(mu+2);
 knots(1)(2:(mu + 1)) = sp1.knots(1);
 knots(1)(1)=sp1.knots(1)(1);
 knots(1)(mu+2)=sp1.knots(1)(mu);
 knots(2) = sp1.knots(2);
 number(1) = sp1.number(1) + 1;
 number(2) = sp1.number(2);
 coefs=zeros(sp1.dim,number(1),number(2));
 for j = 1:1:number(2)
  coefs(:,1,j) = p0(:,j);
 end;
 for i = 2:1:number(1)
  for j = 1:1:number(2)
    coefs(:,i,j) = coefs(:,(i-1),j) + (sp1.coefs(:,(i-1),j) * (knots(1)(i+sp1.order(1)) - knots(1)(i))) / sp1.order(1); 
	end;
end;

elseif axis == 'v' then
 order(2) = sp1.order(2) + 1;
 order(1) = sp1.order(1);
 knots(2)=zeros(mv+2);
 knots(2)(2:(mv + 1)) = sp1.knots(2);
 knots(1) = sp1.knots(1);
 knots(2)(1)=sp1.knots(2)(1);
 knots(2)(mv+2)=sp1.knots(2)(mv);
 number(2) = sp1.number(2) + 1;
 number(1) = sp1.number(1);
 coefs=zeros(sp1.dim,number(1),number(2));	
 for i = 1:1:number(1)
  coefs(:,i,1) = p0(:,i);
 end;
 for j = 2:1:number(2)
  for i = 1:1:number(1)
    coefs(:,i,j) = coefs(:,i,(j-1)) + sp1.coefs(:,i,(j-1)) * (knots(2)(j+sp1.order(2)) - knots(2)(j) / sp1.order(2)); 
	end;
end;

end;

sp = spmak(knots, coefs);

return;

endfunction

